# $Revision: 1.17 $, $Date: 2012/01/15 23:16:31 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Abstract
Summary:	Unified interface to mail representations
Summary(pl.UTF-8):	Zunifikiowany interfejs do reprezentacji listów
Name:		perl-Email-Abstract
Version:	3.004
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f38a937418d2b3c048457f85949348c0
URL:		http://search.cpan.org/dist/Email-Abstract/
BuildRequires:	perl-Email-Simple >= 1:1.91
BuildRequires:	perl-Module-Pluggable >= 1.5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Email::Abstract provides module writers with the ability to write
representation-independent mail handling code. For instance, in the
cases of Mail::Thread or Mail::ListDetector, a key part of the code
involves reading the headers from a mail object. Where previously one
would either have to specify the mail class required, or to build a
new object from scratch, Email::Abstract can be used to perform
certain simple operations on an object regardless of its underlying
representation.

Email::Abstract currently supports Mail::Internet, MIME::Entity,
Mail::Message, Email::Simple and Email::MIME. Other representations
are encouraged to create their own Email::Abstract::* class by copying
Email::Abstract::EmailSimple. All modules installed under the
Email::Abstract hierarchy will be automatically picked up and used.

%description -l pl.UTF-8
Email::Abstract dostarcza piszącym moduły możliwość pisania kodu
obsługującego listy elektroniczne niezależnie od reprezentacji. Na
przykład w przypadku Mail::Thread lub Mail::ListDetector znacząca
część kodu dotyczy czytania nagłówków z obiektu listu. Tam, gdzie
poprzednio trzeba było podać wymaganą nazwę klasy lub zbudować nowy
obiekt od początku, można użyć Email::Abstract do wykonania pewnych
prostych operacji na obiekcie niezależnie od jego reprezentacji.

Email::Abstract aktualnie obsługuje Mail::Internet, MIME::Entity,
Mail::Message, Email::Simple oraz Email::MIME. Dla innych
reprezentacji zaleca się stworzyć własną klasę Email::Abstract::*
poprzez skopiowanie Email::Abstract::EmailSimple. Wszystkie moduły
zainstalowane w hierarchii Email::Abstract są automatycznie używane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Email/Abstract.pm
%{perl_vendorlib}/Email/Abstract
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Abstract.spec,v $
Revision 1.17  2012/01/15 23:16:31  zbyniu
- up to 3.004

Revision 1.16  2009/06/18 12:51:14  amateja
- updated to 3.001

Revision 1.15  2008/07/27 22:33:37  arekm
- release 2

Revision 1.14  2008-05-11 10:52:51  hawk
- updated to 2.134

Revision 1.13  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.11  2006/08/22 15:21:35  glen
- rel 1, generic url

Revision 1.10  2006/08/10 21:04:14  agaran
- up to 2.13, rel 0.1, builds here

Revision 1.9  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.8  2004/12/09 11:57:19  radek
- added epoch to BR: perl-Email-Simple >= version

Revision 1.7  2004/11/05 10:17:14  paladine
- updated to 2.01

Revision 1.6  2004/11/03 22:30:20  paladine
- formatting

Revision 1.5  2004/09/18 11:11:52  radek
- version 2.0

Revision 1.4  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.3  2004/05/30 19:11:53  qboosh
- pl desc

Revision 1.2  2004/05/30 18:17:11  adamg
- BuildRequires: perl-Email-Simple, perl-Module-Pluggable
- added ToDo
- cleanups

Revision 1.1  2004/05/30 18:10:41  adamg
- new
